apiVersion: v1
kind: Service
metadata:
  name: {{ include "msg.name" . }}
  namespace: {{ .Values.namespace }}
  labels:
    {{- include "msg.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  selector:
    {{- include "msg.selectorLabels" . | nindent 4 }}
  ports:
    - name: http
      port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
